package com.persagy.cameractl.conf;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class CameraApiConfig {
	@Value("${global.group-code:}")
	private String groupCode;
	
	@Value("${global.project-id:}")
	private String projectId;
	
	@Value("${toup-tcp.ip:}")
	private String toupIp;
	
	@Value("${toup-tcp.port:}")
	private String toupPort;
	
	@Value("${dahua-config.mesHost}")
	private String dahuaMesHost;
	
	@Value("${dahua-config.baJiuApiIp}")
	private String dahuaApiIp;
	
	@Value("${dahua-config.baJiuApiPort}")
	private String dahuaApiPort;
	
	@Value("${dahua-config.bajiuSdkPort}")
	private String bajiuSdkPort;
	
	@Value("${dahua-config.appKey}")
	private String dahuaApiKey;
	
	@Value("${dahua-config.appSecret}")
	private String dahuaApiSecret;
	
	@Value("${dahua-config.tvWallId}")
	private String dahuaTvWallId;
	
	@Value("${dahua-config.tvScreenId}")
	private String dahuaTvScreenId;

	

	public String getDahuaApiKey() {
		return dahuaApiKey;
	}

	public void setDahuaApiKey(String dahuaApiKey) {
		this.dahuaApiKey = dahuaApiKey;
	}

	public String getDahuaApiSecret() {
		return dahuaApiSecret;
	}

	public void setDahuaApiSecret(String dahuaApiSecret) {
		this.dahuaApiSecret = dahuaApiSecret;
	}

	public String getDahuaMesHost() {
		return dahuaMesHost;
	}

	public void setDahuaMesHost(String dahuaMesHost) {
		this.dahuaMesHost = dahuaMesHost;
	}

	public String getDahuaApiIp() {
		return dahuaApiIp;
	}

	public void setDahuaApiIp(String dahuaApiIp) {
		this.dahuaApiIp = dahuaApiIp;
	}

	public String getDahuaApiPort() {
		return dahuaApiPort;
	}

	public void setDahuaApiPort(String dahuaApiPort) {
		this.dahuaApiPort = dahuaApiPort;
	}

	public String getBajiuSdkPort() {
		return bajiuSdkPort;
	}

	public void setBajiuSdkPort(String bajiuSdkPort) {
		this.bajiuSdkPort = bajiuSdkPort;
	}

	public String getDahuaTvWallId() {
		return dahuaTvWallId;
	}

	public void setDahuaTvWallId(String dahuaTvWallId) {
		this.dahuaTvWallId = dahuaTvWallId;
	}

	public String getDahuaTvScreenId() {
		return dahuaTvScreenId;
	}

	public void setDahuaTvScreenId(String dahuaTvScreenId) {
		this.dahuaTvScreenId = dahuaTvScreenId;
	}

	public String getToupIp() {
		return toupIp;
	}

	public void setToupIp(String toupIp) {
		this.toupIp = toupIp;
	}

	public String getToupPort() {
		return toupPort;
	}

	public void setToupPort(String toupPort) {
		this.toupPort = toupPort;
	}

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

}
